import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SimpoHoverBorderDirective {
    private readonly el;
    simpoHoverBorderDirective?: any;
    onMouseEnter(): void;
    onMouseLeave(): void;
    constructor(el: ElementRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<SimpoHoverBorderDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SimpoHoverBorderDirective, "[simpoHoverBorderDirective]", never, { "simpoHoverBorderDirective": { "alias": "simpoHoverBorderDirective"; "required": false; }; }, {}, never, never, true, never>;
}
